import { Column, Entity } from 'typeorm';
import { BaseModel } from '../frame/BaseModel';
@Entity('test')
export class Test extends BaseModel {
  @Column({ type: 'character varying', nullable: true, comment: '昵称' })
  nick_name: string;
  @Column({ type: 'character varying', nullable: true, comment: '账号' })
  account: string;
  @Column({ type: 'jsonb', nullable: true, comment: '爱好' })
  hobby: Array<any>;
  @Column({ type: 'jsonb', nullable: true, comment: '属性' })
  props: object;
  @Column({ type: 'jsonb', nullable: true, comment: '数组属性' })
  array_props: Array<object>;
}
